//
//  MyController.m
//  GeoConverter
//
//  Created by Holger Hinzberg on 08.11.09.
//  Copyright 2009 Cocoa Coding. All rights reserved.
//

#import "MyController.h"
#import "MyFormatter.h"

@implementation MyController

- (void)awakeFromNib
{
    MyFormatter *aFormatter = [[MyFormatter alloc]init] ;
    [inputGrad setFormatter:aFormatter];
    [inputMinuten setFormatter:aFormatter];
	[inputSekunden setFormatter:aFormatter];
    [aFormatter release];
} 

- (IBAction)clearFields:(id)sender
{
    [outputGrad setStringValue: @""];
    [outputRAD setStringValue: @""];
    [inputGrad setStringValue: @""];
    [inputMinuten setStringValue: @""];
    [inputSekunden setStringValue: @""];
} 

- (IBAction)calculate:(id)sender
{
	double outGrad =  0;
	double outRAD = 0; 
	
	double inGrad = [inputGrad doubleValue];
	double inMinuten = [inputMinuten doubleValue];
	double inSekunden = [inputSekunden doubleValue]; 
	
	outGrad = inGrad + (inMinuten / 60) + (inSekunden /  3600);
	outRAD = outGrad / 180 * M_PI; 
	
	[outputGrad setFloatValue:outGrad];
	[outputRAD setFloatValue:outRAD];
	
	//NSString *gradString = [NSString stringWithFormat:@"%.3f",outGrad];
	//[outputGrad setStringValue:gradString];
	
	//NSString *radString = [NSString stringWithFormat:@"%.3f",outRAD];
	//[outputRAD setStringValue:radString];
	
	
	
}


@end
