//
//  MyFormatter.h
//  FormatterTest
//
//  Created by Holger Hinzberg on 09.11.09.
//  Copyright 2009 Cocoa Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface MyFormatter : NSFormatter {

}

- (NSString*)stringForObjectValue:(id)obj;

- (BOOL)getObjectValue:(id*)obj forString:(NSString*)string
			errorDescription:(NSString**)error;

- (bool)isPartialStringValid:(NSString*)partialString
			newEditingString:(NSString**) newString
			errorDescription:(NSString**)error; 

@end
